-----------------------------------------------------------------------------
 MANIFEST               |  278 
 Makefile               |   40 
 aclocal.m4             |  118 
 config.guess           |   17 
 config.sub             |   28 
 configure              | 5675 ++++++++------
 configure.in           |  164 
 doc/CHANGES            |  141 
 doc/CHANGES.old        |    2 
 doc/CREDITS            |  131 
 doc/INSTALL            |   60 
 doc/TODO               |  250 
 doc/WHATSNEW           |   34 
 doc/config-anomalies   |    5 
 doc/keymap.sample      |    5 
 doc/l10n/de.add        |    6 
 doc/l10n/de.po         |15164 --------------------------------------
 doc/l10n/de/tin.1      | 4120 ----------
 doc/l10n/de/tin.5      | 2785 -------
 doc/l10n/en_GB.po      |16095 ----------------------------------------
 doc/l10n/en_GB/tin.1   | 3980 ----------
 doc/l10n/en_GB/tin.5   | 2705 ------
 doc/l10n/es.po         |13702 ----------------------------------
 doc/l10n/es/tin.1      | 3980 ----------
 doc/l10n/es/tin.5      | 2705 ------
 doc/l10n/tin-man.pot   |13463 ----------------------------------
 doc/opt-case.1         |    4 
 doc/tin.1              |  833 +-
 doc/tin.5              |  766 +
 doc/tin.defaults       |    2 
 doc/tinews.1           |    4 
 doc/url_handler.1      |    4 
 include/autoconf.hin   |   49 
 include/bool.h         |    2 
 include/bugrep.h       |    2 
 include/debug.h        |    4 
 include/extern.h       |  292 
 include/keymap.h       |   18 
 include/missing_fd.h   |    2 
 include/newsrc.h       |    2 
 include/nntplib.h      |   11 
 include/policy.h       |   11 
 include/proto.h        |  102 
 include/rfc2046.h      |   35 
 include/stpwatch.h     |    2 
 include/tcurses.h      |    2 
 include/tin.h          |  440 -
 include/tinrc.h        |   54 
 include/tnntp.h        |    2 
 include/tnntps.h       |    2 
 include/trace.h        |    2 
 include/version.h      |   16 
 po-man/de.add          |    6 
 po-man/de.po           |17325 ++++++++++++++++++++++++++++++++++++++++++++
 po-man/de/tin.1        | 4430 +++++++++++
 po-man/de/tin.5        | 2991 +++++++
 po-man/en_GB.po        |17076 +++++++++++++++++++++++++++++++++++++++++++
 po-man/en_GB/tin.1     | 4141 ++++++++++
 po-man/en_GB/tin.5     | 2816 +++++++
 po-man/es.po           |14592 +++++++++++++++++++++++++++++++++++++
 po-man/es/tin.1        | 4140 ++++++++++
 po-man/es/tin.5        | 2816 +++++++
 po-man/ro.po           |18493 +++++++++++++++++++++++++++++++++++++++++++++++
 po-man/ro/tin.1        | 4396 +++++++++++
 po-man/ro/tin.5        | 2969 +++++++
 po-man/tin-man.pot     |14325 ++++++++++++++++++++++++++++++++++++
 po/Makefile.inn        |    3 
 po/da.po               | 4949 +++++++-----
 po/de.po               | 4983 +++++++-----
 po/en_GB.po            | 4794 ++++++------
 po/es.po               | 4841 +++++++-----
 po/et.po               | 5472 ++++++++-----
 po/fr.po               | 5028 +++++++-----
 po/ro.po               | 9098 +++++++++++++++++++++++
 po/ru.po               | 5053 +++++++-----
 po/sv.po               | 4726 ++++++------
 po/tin.pot             | 4550 ++++++-----
 po/tr.po               | 4973 +++++++-----
 po/zh_CN.po            | 4824 +++++++-----
 po/zh_TW.po            | 4824 +++++++-----
 po4a.conf              |   11 
 src/Makefile.in        |   70 
 src/active.c           |  313 
 src/art.c              |  970 +-
 src/attrib.c           |  237 
 src/auth.c             |  181 
 src/charset.c          |  241 
 src/color.c            |   35 
 src/config.c           | 1591 ++--
 src/cook.c             | 1411 ++-
 src/crc32.c            |  149 
 src/curses.c           |   14 
 src/debug.c            |   41 
 src/envarg.c           |    4 
 src/feed.c             |   75 
 src/filter.c           |  381 
 src/getline.c          |   12 
 src/global.c           |   12 
 src/group.c            |  234 
 src/hashstr.c          |   12 
 src/header.c           |   70 
 src/help.c             |  371 
 src/inews.c            |   12 
 src/init.c             |  225 
 src/joinpath.c         |    2 
 src/keymap.c           |  102 
 src/lang.c             |  659 +
 src/langinfo.c         |  129 
 src/list.c             |    7 
 src/lock.c             |    6 
 src/mail.c             |  138 
 src/main.c             |  282 
 src/makecfg.c          |   98 
 src/memory.c           |   80 
 src/mimetypes.c        |    2 
 src/misc.c             |  715 +
 src/my_tmpfile.c       |   14 
 src/newsrc.c           |  192 
 src/nntplib.c          | 1210 ++-
 src/nntps.c            |  209 
 src/nrctbl.c           |   29 
 src/options_menu.c     |  554 +
 src/page.c             |  751 -
 src/parsdate.y         |   15 
 src/pgp.c              |   46 
 src/post.c             |  617 -
 src/prompt.c           |  275 
 src/read.c             |   27 
 src/refs.c             |   18 
 src/regex.c            |   74 
 src/rfc1524.c          |   17 
 src/rfc2045.c          |   55 
 src/rfc2046.c          |   35 
 src/rfc2047.c          |  128 
 src/save.c             |   97 
 src/screen.c           |   48 
 src/search.c           |   37 
 src/select.c           |  738 +
 src/sigfile.c          |   23 
 src/signal.c           |   29 
 src/strftime.c         |  340 
 src/string.c           |  151 
 src/tags.c             |   18 
 src/tcurses.c          |   12 
 src/thread.c           |  104 
 src/tincfg.tbl         |   37 
 src/trace.c            |    2 
 src/version.c          |    2 
 src/xface.c            |   19 
 src/xref.c             |   15 
 tin-2.6.5/po/da.gmo    |binary
 tin-2.6.5/po/de.gmo    |binary
 tin-2.6.5/po/en_GB.gmo |binary
 tin-2.6.5/po/es.gmo    |binary
 tin-2.6.5/po/et.gmo    |binary
 tin-2.6.5/po/fr.gmo    |binary
 tin-2.6.5/po/ro.gmo    |binary
 tin-2.6.5/po/ru.gmo    |binary
 tin-2.6.5/po/sv.gmo    |binary
 tin-2.6.5/po/tr.gmo    |binary
 tin-2.6.5/po/zh_CN.gmo |binary
 tin-2.6.5/po/zh_TW.gmo |binary
 tin.spec               |    2 
 tools/metamutt         |   10 
 tools/opt-case.pl      |   15 
 tools/tinews.pl        |   13 
 tools/url_handler.pl   |   29 
 tools/w2r.pl           |   58 
 168 files changed, 169428 insertions(+), 112479 deletions(-)
-----------------------------------------------------------------------------
diff -Nurp '--exclude=.bzr*' tin-2.6.4/MANIFEST tin-2.6.5/MANIFEST
--- tin-2.6.4/MANIFEST	2024-12-24 00:19:13.000000000 +0100
+++ tin-2.6.5/MANIFEST	2025-12-24 00:14:33.546379798 +0100
@@ -1,50 +1,50 @@
-MANIFEST for tin-2.6.4 (Tue Dec 24 00:19:12 CET 2024)
+MANIFEST for tin-2.6.5 (Wed Dec 24 00:14:33 CET 2025)
 ----------------------------------------------------
-   13889 ./Makefile
-    7883 ./MANIFEST
+   14121 ./Makefile
+    8003 ./MANIFEST
     1574 ./README
      733 ./README.MAC
      976 ./README.WIN
-  215234 ./aclocal.m4
+  216735 ./aclocal.m4
     1166 ./conf-tin
-   50743 ./config.guess
-   39713 ./config.sub
- 1067017 ./configure
-   56335 ./configure.in
+   50850 ./config.guess
+   39943 ./config.sub
+ 1083782 ./configure
+   58021 ./configure.in
     7123 ./install-sh
-     356 ./po4a.conf
+     385 ./po4a.conf
     1788 ./tin.spec
-   22225 ./doc/CHANGES
-  319061 ./doc/CHANGES.old
-    5248 ./doc/CREDITS
+   29703 ./doc/CHANGES
+  319062 ./doc/CHANGES.old
+    5753 ./doc/CREDITS
     1305 ./doc/DEBUG_REFS
-   35269 ./doc/INSTALL
-   47301 ./doc/TODO
-    3174 ./doc/WHATSNEW
+   35489 ./doc/INSTALL
+   49404 ./doc/TODO
+    4756 ./doc/WHATSNEW
     2618 ./doc/art_handling.txt
     1701 ./doc/article.txt
     3509 ./doc/auth.txt
-    3759 ./doc/config-anomalies
+    3717 ./doc/config-anomalies
    12253 ./doc/filtering
    35305 ./doc/good-netkeeping-seal
     3790 ./doc/internals.txt
    23720 ./doc/iso2asc.txt
-    4039 ./doc/keymap.sample
+    4112 ./doc/keymap.sample
      774 ./doc/mailcap.sample
     5922 ./doc/mbox.5
     3365 ./doc/mime.types
     4223 ./doc/mmdf.5
     2128 ./doc/newsoverview.5
     1541 ./doc/nov_tests
-    5156 ./doc/opt-case.1
+    5154 ./doc/opt-case.1
     3964 ./doc/pgp.txt
     3048 ./doc/rcvars.txt
     1525 ./doc/reading-mail.txt
     4914 ./doc/umlaute.txt
     4580 ./doc/umlauts.txt
-    7117 ./doc/url_handler.1
-  152967 ./doc/tin.1
-   89914 ./doc/tin.5
+    7131 ./doc/url_handler.1
+  161400 ./doc/tin.1
+   94798 ./doc/tin.5
     5069 ./doc/tin.defaults
    19729 ./doc/tinews.1
     2469 ./doc/tools.txt
@@ -52,102 +52,103 @@ MANIFEST for tin-2.6.4 (Tue Dec 24 00:19
     2196 ./doc/wildmat.3
      348 ./tools/expiretover
     2282 ./tools/flnews2tin.pl
-    3816 ./tools/metamutt
-    2815 ./tools/opt-case.pl
+    3813 ./tools/metamutt
+    2860 ./tools/opt-case.pl
     1453 ./tools/tinlock
-   50929 ./tools/tinews.pl
-    3854 ./tools/url_handler.pl
+   51009 ./tools/tinews.pl
+    3708 ./tools/url_handler.pl
     1697 ./tools/url_handler.sh
-    3377 ./tools/w2r.pl
+    4715 ./tools/w2r.pl
     2697 ./include/bool.h
     1886 ./include/bugrep.h
-    2449 ./include/debug.h
-   85568 ./include/extern.h
-   14459 ./include/keymap.h
+    2448 ./include/debug.h
+   89761 ./include/extern.h
+   14559 ./include/keymap.h
     2992 ./include/missing_fd.h
     6490 ./include/newsrc.h
-    9447 ./include/nntplib.h
-   26119 ./include/policy.h
-   36837 ./include/proto.h
-    7895 ./include/rfc2046.h
+    9734 ./include/nntplib.h
+   26026 ./include/policy.h
+   37456 ./include/proto.h
+    8202 ./include/rfc2046.h
     1537 ./include/snprintf.h
     2675 ./include/stpwatch.h
     6205 ./include/tcurses.h
-   79887 ./include/tin.h
-   18766 ./include/tinrc.h
+   86900 ./include/tin.h
+   19967 ./include/tinrc.h
     4045 ./include/tnntp.h
     3179 ./include/tnntps.h
     2367 ./include/trace.h
-    2247 ./include/version.h
-   37904 ./src/active.c
-   97547 ./src/art.c
-   85310 ./src/attrib.c
-   24755 ./src/auth.c
-   16265 ./src/charset.c
-    8886 ./src/color.c
-   73524 ./src/config.c
-   45001 ./src/cook.c
-   26564 ./src/curses.c
-   12881 ./src/debug.c
+    2245 ./include/version.h
+   38285 ./src/active.c
+   97903 ./src/art.c
+   90037 ./src/attrib.c
+   25374 ./src/auth.c
+   17230 ./src/charset.c
+    8775 ./src/color.c
+   86467 ./src/config.c
+   72680 ./src/cook.c
+    6474 ./src/crc32.c
+   26680 ./src/curses.c
+   12340 ./src/debug.c
     3519 ./src/envarg.c
-   30876 ./src/feed.c
-   61248 ./src/filter.c
-   18128 ./src/getline.c
-    9186 ./src/global.c
-   50898 ./src/group.c
-    3910 ./src/hashstr.c
-    8605 ./src/header.c
+   31545 ./src/feed.c
+   62440 ./src/filter.c
+   18203 ./src/getline.c
+    9356 ./src/global.c
+   55565 ./src/group.c
+    3939 ./src/hashstr.c
+    9270 ./src/header.c
     6394 ./src/heapsort.c
-   45983 ./src/help.c
-   14283 ./src/inews.c
-   44301 ./src/init.c
+   47498 ./src/help.c
+   14310 ./src/inews.c
+   46899 ./src/init.c
     2537 ./src/joinpath.c
-  116646 ./src/keymap.c
-  170780 ./src/lang.c
-    4517 ./src/langinfo.c
-    7316 ./src/list.c
-    6866 ./src/lock.c
-   19204 ./src/mail.c
-   43508 ./src/main.c
-   12419 ./src/makecfg.c
-   17662 ./src/memory.c
+  119346 ./src/keymap.c
+  184343 ./src/lang.c
+    4990 ./src/langinfo.c
+    7296 ./src/list.c
+    6905 ./src/lock.c
+   18316 ./src/mail.c
+   46910 ./src/main.c
+   12525 ./src/makecfg.c
+   19188 ./src/memory.c
     5496 ./src/mimetypes.c
-  123293 ./src/misc.c
-   44701 ./src/newsrc.c
-   76030 ./src/nntplib.c
-   30297 ./src/nntps.c
-    9176 ./src/nrctbl.c
-  118662 ./src/options_menu.c
-   79007 ./src/page.c
-   24964 ./src/parsdate.y
-   13954 ./src/pgp.c
-  178101 ./src/post.c
-   20971 ./src/prompt.c
-   10703 ./src/read.c
-   28871 ./src/refs.c
-    9059 ./src/regex.c
-   14587 ./src/rfc1524.c
-   15438 ./src/rfc2045.c
-   53866 ./src/rfc2046.c
-   39173 ./src/rfc2047.c
-   59735 ./src/save.c
-   18176 ./src/screen.c
-   19606 ./src/search.c
-   45965 ./src/select.c
-    8727 ./src/sigfile.c
-   15201 ./src/signal.c
+  127926 ./src/misc.c
+   48194 ./src/newsrc.c
+   90183 ./src/nntplib.c
+   34141 ./src/nntps.c
+    9494 ./src/nrctbl.c
+  127250 ./src/options_menu.c
+   77479 ./src/page.c
+   24891 ./src/parsdate.y
+   14182 ./src/pgp.c
+  182456 ./src/post.c
+   25684 ./src/prompt.c
+   10868 ./src/read.c
+   28598 ./src/refs.c
+   10572 ./src/regex.c
+   14670 ./src/rfc1524.c
+   15436 ./src/rfc2045.c
+   54467 ./src/rfc2046.c
+   39996 ./src/rfc2047.c
+   60884 ./src/save.c
+   17926 ./src/screen.c
+   20007 ./src/search.c
+   61780 ./src/select.c
+    9036 ./src/sigfile.c
+   15675 ./src/signal.c
    42445 ./src/snprintf.c
-    8283 ./src/strftime.c
-   45269 ./src/string.c
-    9921 ./src/tags.c
-   18100 ./src/tcurses.c
-    6079 ./src/my_tmpfile.c
-   48191 ./src/thread.c
+    8362 ./src/strftime.c
+   47289 ./src/string.c
+    9927 ./src/tags.c
+   18076 ./src/tcurses.c
+    6139 ./src/my_tmpfile.c
+   48822 ./src/thread.c
     2581 ./src/trace.c
     5674 ./src/version.c
     5558 ./src/wildmat.c
-    7167 ./src/xface.c
-   13256 ./src/xref.c
+    7271 ./src/xface.c
+   13343 ./src/xref.c
      422 ./pcre/AUTHORS
     2515 ./pcre/COPYING
   118928 ./pcre/ChangeLog
@@ -215,9 +216,9 @@ MANIFEST for tin-2.6.4 (Tue Dec 24 00:19
   108966 ./pcre/testdata/testoutput7
    53056 ./pcre/testdata/testoutput8
    28769 ./pcre/testdata/testoutput9
-   20074 ./include/autoconf.hin
-   22392 ./src/Makefile.in
-   10953 ./src/tincfg.tbl
+   20041 ./include/autoconf.hin
+   24530 ./src/Makefile.in
+   11701 ./src/tincfg.tbl
     1439 ./libcanlock/COPYING
     4149 ./libcanlock/ChangeLog
      490 ./libcanlock/ChangeLog_V0
@@ -247,40 +248,45 @@ MANIFEST for tin-2.6.4 (Tue Dec 24 00:19
    10574 ./libcanlock/test/hkdf.c
    64019 ./libcanlock/test/shatest.c
    14702 ./libcanlock/util/canlock.c
-    5096 ./po/Makefile.inn
+    5136 ./po/Makefile.inn
      556 ./po/POTFILES.in
-  158772 ./po/tin.pot
-  162805 ./po/da.gmo
-  248149 ./po/da.po
-  218706 ./po/de.gmo
-  260918 ./po/de.po
-  204195 ./po/en_GB.gmo
-  245299 ./po/en_GB.po
-    1614 ./po/es.gmo
-  186686 ./po/es.po
-  188086 ./po/et.gmo
-  247482 ./po/et.po
-  210914 ./po/fr.gmo
-  259896 ./po/fr.po
-  145164 ./po/ru.gmo
-  270431 ./po/ru.po
-   21281 ./po/sv.gmo
-  171811 ./po/sv.po
-  183391 ./po/tr.gmo
-  262366 ./po/tr.po
-  247343 ./po/zh_CN.po
-  167154 ./po/zh_CN.gmo
-  246894 ./po/zh_TW.po
-  167287 ./po/zh_TW.gmo
-  169636 ./doc/l10n/de/tin.1
-   99169 ./doc/l10n/de/tin.5
-     230 ./doc/l10n/de.add
-  459259 ./doc/l10n/de.po
-  157184 ./doc/l10n/en_GB/tin.1
-   92673 ./doc/l10n/en_GB/tin.5
-  522799 ./doc/l10n/en_GB.po
-  157262 ./doc/l10n/es/tin.1
-   92682 ./doc/l10n/es/tin.5
-  349728 ./doc/l10n/es.po
-  326428 ./doc/l10n/tin-man.pot
-14265953 total
+  174052 ./po/tin.pot
+  155148 ./po/da.gmo
+  272684 ./po/da.po
+  237264 ./po/de.gmo
+  285597 ./po/de.po
+  221290 ./po/en_GB.gmo
+  268442 ./po/en_GB.po
+    2271 ./po/es.gmo
+  205118 ./po/es.po
+  194228 ./po/et.gmo
+  274506 ./po/et.po
+  197334 ./po/fr.gmo
+  286343 ./po/fr.po
+   22037 ./po/ro.gmo
+  192444 ./po/ro.po
+  137626 ./po/ru.gmo
+  300185 ./po/ru.po
+   20036 ./po/sv.gmo
+  190549 ./po/sv.po
+  174259 ./po/tr.gmo
+  287064 ./po/tr.po
+  268127 ./po/zh_CN.po
+  158839 ./po/zh_CN.gmo
+  267686 ./po/zh_TW.po
+  158969 ./po/zh_TW.gmo
+  188726 ./po-man/de/tin.1
+  111068 ./po-man/de/tin.5
+     241 ./po-man/de.add
+  569137 ./po-man/de.po
+  165780 ./po-man/en_GB/tin.1
+   97747 ./po-man/en_GB/tin.5
+  550225 ./po-man/en_GB.po
+  165853 ./po-man/es/tin.1
+   97771 ./po-man/es/tin.5
+  369976 ./po-man/es.po
+  191967 ./po-man/ro/tin.1
+  111628 ./po-man/ro/tin.5
+  636696 ./po-man/ro.po
+  345207 ./po-man/tin-man.pot
+16132740 total
diff -Nurp '--exclude=.bzr*' tin-2.6.4/Makefile tin-2.6.5/Makefile
--- tin-2.6.4/Makefile	2024-12-24 00:18:40.000000000 +0100
+++ tin-2.6.5/Makefile	2025-12-24 00:14:31.830305890 +0100
@@ -1,7 +1,7 @@
 # Top level Makefile for tin
 # - for configuration options read the doc/INSTALL file.
 #
-# Updated: 2024-04-02
+# Updated: 2025-04-25
 #
 
 SHELL	= @SHELL@
@@ -9,9 +9,9 @@ SHELL	= @SHELL@
 PROJECT	= tin
 LVER	= 2
 PVER	= 6
-SVER	= 4
+SVER	= 5
 VER	= $(LVER).$(PVER).$(SVER)
-DVER	= 20241224
+DVER	= 20251224
 EXE	= tin
 
 # directory structure
@@ -24,7 +24,7 @@ PCREDIR	= ./pcre
 CANDIR	= ./libcanlock
 TOLDIR	= ./tools
 PODIR	= ./po
-L10NDIR	= ./doc/l10n
+POMANDIR	= ./po-man
 
 HFILES	= \
 	$(INCDIR)/bool.h \
@@ -57,6 +57,7 @@ CFILES	= \
 	$(SRCDIR)/color.c \
 	$(SRCDIR)/config.c \
 	$(SRCDIR)/cook.c \
+	$(SRCDIR)/crc32.c \
 	$(SRCDIR)/curses.c \
 	$(SRCDIR)/debug.c\
 	$(SRCDIR)/envarg.c \
@@ -305,6 +306,8 @@ POFILES = \
 	$(PODIR)/et.po \
 	$(PODIR)/fr.gmo \
 	$(PODIR)/fr.po \
+	$(PODIR)/ro.gmo \
+	$(PODIR)/ro.po \
 	$(PODIR)/ru.gmo \
 	$(PODIR)/ru.po \
 	$(PODIR)/sv.gmo \
@@ -317,21 +320,24 @@ POFILES = \
 	$(PODIR)/zh_TW.gmo
 
 L10NFILES = \
-	$(L10NDIR)/de/tin.1 \
-	$(L10NDIR)/de/tin.5 \
-	$(L10NDIR)/de.add \
-	$(L10NDIR)/de.po \
-	$(L10NDIR)/en_GB/tin.1 \
-	$(L10NDIR)/en_GB/tin.5 \
-	$(L10NDIR)/en_GB.po \
-	$(L10NDIR)/es/tin.1 \
-	$(L10NDIR)/es/tin.5 \
-	$(L10NDIR)/es.po \
-	$(L10NDIR)/tin-man.pot
+	$(POMANDIR)/de/tin.1 \
+	$(POMANDIR)/de/tin.5 \
+	$(POMANDIR)/de.add \
+	$(POMANDIR)/de.po \
+	$(POMANDIR)/en_GB/tin.1 \
+	$(POMANDIR)/en_GB/tin.5 \
+	$(POMANDIR)/en_GB.po \
+	$(POMANDIR)/es/tin.1 \
+	$(POMANDIR)/es/tin.5 \
+	$(POMANDIR)/es.po \
+	$(POMANDIR)/ro/tin.1 \
+	$(POMANDIR)/ro/tin.5 \
+	$(POMANDIR)/ro.po \
+	$(POMANDIR)/tin-man.pot
 
 ALL_FILES = $(TOP) $(DOC) $(TOL) $(HFILES) $(CFILES) $(PCRE) $(MISC) $(CAN) $(POFILES) $(L10NFILES)
 
-ALL_DIRS = $(TOPDIR) $(DOCDIR) $(SRCDIR) $(INCDIR) $(PCREDIR) $(PCREDIR)/doc $(PCREDIR)/testdata $(CANDIR) $(CANDIR)/include $(CANDIR)/src $(CANDIR)/test $(CANDIR)/util/ $(PODIR) $(L10NDIR) $(L10NDIR)/de $(L10NDIR)/en_GB
+ALL_DIRS = $(TOPDIR) $(DOCDIR) $(SRCDIR) $(INCDIR) $(PCREDIR) $(PCREDIR)/doc $(PCREDIR)/testdata $(CANDIR) $(CANDIR)/include $(CANDIR)/src $(CANDIR)/test $(CANDIR)/util/ $(PODIR) $(POMANDIR) $(POMANDIR)/de $(POMANDIR)/en_GB $(POMANDIR)/es $(POMANDIR)/ro
 
 # standard commands
 CD	= cd
@@ -523,7 +529,7 @@ distclean:
 	$(PODIR)/messages.mo
 
 configure: configure.in aclocal.m4
-	autoconf
+	@command -v autoconf-dickey 1>/dev/null && autoconf-dickey || autoconf
 
 config.status: configure
 	$(SHELL) $(TOPDIR)/config.status --recheck
diff -Nurp '--exclude=.bzr*' tin-2.6.4/configure.in tin-2.6.5/configure.in
--- tin-2.6.4/configure.in	2024-12-24 00:18:40.000000000 +0100
+++ tin-2.6.5/configure.in	2025-12-24 00:14:31.826305717 +0100
@@ -2,10 +2,10 @@ dnl Project   : tin - a Usenet reader
 dnl Module    : configure.in
 dnl Author    : Thomas E. Dickey <dickey@invisible-island.net>
 dnl Created   : 1995-08-24
-dnl Updated   : 2024-12-15
+dnl Updated   : 2025-11-08
 dnl Notes     :
 dnl
-dnl Copyright (c) 1995-2024 Thomas E. Dickey <dickey@invisible-island.net>
+dnl Copyright (c) 1995-2026 Thomas E. Dickey <dickey@invisible-island.net>
 dnl All rights reserved.
 dnl
 dnl Redistribution and use in source and binary forms, with or without
@@ -41,7 +41,7 @@ AC_PREFIX_DEFAULT(/usr/local)
 
 dnl PACKAGE is required for GNU gettext
 PACKAGE=tin
-VERSION=2.6.4
+VERSION=2.6.5
 AC_DEFINE_UNQUOTED(PACKAGE, "$PACKAGE", [Define this to the package name])
 AC_DEFINE_UNQUOTED(VERSION, "$VERSION", [Define this to the package version])
 AC_SUBST(PACKAGE)
@@ -81,7 +81,7 @@ case "$host_os" in
 esac
 
 ### Native Language Support
-ALL_LINGUAS="da de en_GB es et fr ru sv tr zh_CN zh_TW"
+ALL_LINGUAS="da de en_GB es et fr ro ru sv tr zh_CN zh_TW"
 
 ### Checks for programs
 save_CFLAGS="$CFLAGS"
@@ -222,7 +222,9 @@ CF_ARG_ENABLE(nntp-only,
 	 USE_SPOOLDIR=no],
 	[AC_DEFINE(NNTP_ABLE,1,[Define this to 1 to be NNTP-capable])])
 AC_MSG_RESULT($enableval)
+fi
 
+# can be also used for cached local overviews, so do not depend on USE_NNTP
 AC_MSG_CHECKING(if you want to use zlib for COMPRESS DEFLATE support)
 AC_ARG_WITH(zlib,
 	[  --with-zlib             use zlib for COMPRESS DEFLATE],
@@ -235,8 +237,6 @@ if test ".$use_zlib" != ".no" ; then
 	test "x$cf_cv_find_linkage_z" = "xyes" && AC_DEFINE(USE_ZLIB,1,[Define to 1 if you want to use zlib for COMPRESS DEFLATE])
 fi
 
-fi
-
 ###	use option --enable-debug to compile-in test/development code
 AC_MSG_CHECKING(if you want to compile-in debug support)
 CF_ARG_ENABLE(debug,
@@ -632,13 +632,16 @@ else
 fi
 AC_SUBST(CANDIR_MAKE)
 
+
 ## gsasl - used for AUTH SASL PLAIN
 ## we currently check for gsasl_free() (avail since 0.2.19)
 ## update if we ever use calls from a newer API
 gsasl=no
+if test "$USE_NNTP" = "yes" ; then
 AC_CHECK_HEADER(gsasl.h,
 	[AC_CHECK_LIB(gsasl, gsasl_free, gsasl=yes)]
 )
+fi
 if test "$gsasl" = "yes"; then
 	CF_ARG_DISABLE(gsasl,
 		[  --disable-gsasl         don't use GNU SASL],
@@ -744,20 +747,6 @@ CF_ARG_DISABLE(append-pid,
 	[AC_DEFINE(APPEND_PID,1,[Define this to 1 to unique tmp-files by appending .pid])])
 AC_MSG_RESULT($enableval)
 
-AC_MSG_CHECKING(whether to fallback to XHDR XREF if XOVER isn't supported)
-CF_ARG_DISABLE(xhdr-xref,
-	[  --disable-xhdr-xref     disable XHDR XREF fallback],,
-	[AC_DEFINE(XHDR_XREF,1,[Define this to 1 to fallback to XHDR XREF if XOVER isn't supported])])
-AC_MSG_RESULT($enableval)
-
-### bypass a bug in old versions of leafnode & NNTPcache
-AC_MSG_CHECKING(whether to send a GROUP command before a LISTGROUP)
-CF_ARG_ENABLE(broken-listgroup-fix,
-	[  --enable-broken-listgroup-fix
-                          send extra GROUP command before LISTGROUP],
-	[AC_DEFINE(BROKEN_LISTGROUP,1,[Define this to 1 to send a GROUP command before a LISTGROUP])])
-AC_MSG_RESULT($enableval)
-
 ### on some old systems the WIFEXITED()/WEXITSTATUS() macros do not work
 AC_MSG_CHECKING(whether to ignore system()s return value)
 CF_ARG_ENABLE(broken-system-fix,
@@ -822,7 +811,12 @@ AC_TRY_COMPILE([
 #if TLS_API < 20200120
 #error "Please use LibreSSL TLS_API >= 20200120"
 #endif /* TLS_API < 20200120 */
-],[have_libtls=yes],[
+],[
+have_libtls=yes
+if test x"$verbose" != "xyes" ; then
+AC_MSG_RESULT($have_libtls)
+fi
+],[
 have_libtls=no
 AC_MSG_RESULT([\tLibreSSL TLS_API too old (< 20200120)])
 ])],[
@@ -837,6 +831,9 @@ AC_TRY_COMPILE([
 ],[
 LIBS="$LIBS -ltls"
 have_libtls=yes
+if test x"$verbose" != "xyes" ; then
+AC_MSG_RESULT($have_libtls)
+fi
 ],[have_libtls=no
 AC_MSG_RESULT([\tLibreSSL TLS_API too old (< 20200120)])
 ])
@@ -860,7 +857,12 @@ AC_TRY_COMPILE([
 #if defined(LIBRESSL_VERSION_NUMBER)
 #error "Please use real OpenSSL >= 1.1.1"
 #endif /* LIBRESSL pretending to be OPENSSL */
-],[have_openssl=yes],[
+],[
+have_openssl=yes
+if test x"$verbose" != "xyes" ; then
+AC_MSG_RESULT($have_openssl)
+fi
+],[
 have_openssl=no
 AC_MSG_RESULT([\tOpenSSL too old (< 1.1.1)])
 ])],[
@@ -878,7 +880,12 @@ AC_TRY_COMPILE([
 #if GNUTLS_VERSION_NUMBER < 0x030700
 #error "Please use GnuTLS >= 3.7.0"
 #endif /* GNUTLS_VERSION_NUMBER < 0x030700 */
-],[have_gnutls=yes],[
+],[
+have_gnutls=yes
+if test x"$verbose" != "xyes" ; then
+AC_MSG_RESULT($have_gnutls)
+fi
+],[
 AC_MSG_RESULT([\tGnuTLS too old (< 3.7.0)])
 ])],[
 AC_CHECK_LIB(gnutls,gnutls_certificate_allocate_credentials,[
@@ -893,12 +900,15 @@ AC_TRY_COMPILE([
 ],[
 LIBS="$LIBS -lgnutls"
 have_gnutls=yes
+if test x"$verbose" != "xyes" ; then
+AC_MSG_RESULT($have_gnutls)
+fi
 ],[have_gnutls=no
 AC_MSG_RESULT([\tGnuTLS too old (< 3.7.0)])
 ])
 ],[have_gnutls=no])
 ],[
-have_gnutls=no=no
+have_gnutls=no
 AC_MSG_RESULT($have_gnutls)
 ])])])
 
@@ -914,7 +924,6 @@ AC_MSG_RESULT($have_gnutls)
 ### as the above is already complicated enough, the following will be dealt
 ### with separately
 AS_IF([test "$have_libtls" = "yes"],[
-	AC_MSG_CHECKING(for libcrypto)
 	CF_TRY_PKG_CONFIG([crypto],[
 		AC_TRY_COMPILE([
 #include <openssl/ssl.h>
@@ -922,12 +931,10 @@ AS_IF([test "$have_libtls" = "yes"],[
 BIO_free(NULL);
 ],
 			[
-			have_libcrypto=yes
 			AC_DEFINE(HAVE_LIB_CRYPTO,1,[Define to 1 if we can/should compile with the OpenSSL crypto library])
 			],
  			[
 			have_libcrypto=no
-			AC_MSG_RESULT($have_libcrypto)
 			]
 		)
 	],[
@@ -956,24 +963,75 @@ BIO_free(NULL);
 ])
 fi
 
+AC_MSG_CHECKING([whether to enable URL normalization])
+AC_ARG_WITH(
+ url_normalization,
+ [  --with-url-normalization=lib
+                          do URL normalization, needs liburiparser or libcurl
+                          possible values: uriparser, curl],
+ [enable_url_normalization=$withval],
+ [enable_url_normalization="yes"])
+AC_MSG_RESULT($enable_url_normalization)
 
+AS_IF([test "$enable_url_normalization" != "no"],
+ [AS_IF([test "$enable_url_normalization" = "yes" || test "$enable_url_normalization" = "uriparser"],[
 # <https://github.com/uriparser/uriparser>
 AC_MSG_CHECKING(for liburiparser)
+cf_save_LIBS="$LIBS"
+cf_save_CPPFLAGS="$CPPFLAGS"
 CF_TRY_PKG_CONFIG(
 	[liburiparser],
-	[AC_DEFINE(HAVE_LIBURIPARSER)],
 	[AC_TRY_COMPILE([
 #include <uriparser/Uri.h>
 	],[
-#if URI_VER_MAJOR = 0 && URI_VER_MINOR <= 9 && URI_VER_RELEASE <= 7
+#if URI_VER_MAJOR <= 0 && URI_VER_MINOR <= 9 && URI_VER_RELEASE <= 7
 #error "Please use liburiparser >= 0.9.8"
 #endif /* URI_VER_MAJOR */
 	],
-	[have_liburiparser=yes],
-	[have_liburiparser=no
-	AC_MSG_RESULT($have_liburiparser)]
-	)]
-)
+	[have_liburiparser="yes"
+    if test x"$verbose" != "xyes" ; then
+     AC_MSG_RESULT($have_liburiparser)
+    fi
+	AC_DEFINE(HAVE_LIBURIPARSER)],
+	[have_liburiparser="no"
+	LIBS=$cf_save_LIBS
+	CPPFLAGS=$cf_save_CPPFLAGS
+	AC_MSG_RESULT([\tliburiparser too old (< 0.9.8)])]
+	)],[
+	have_liburiparser="no"
+	AC_MSG_RESULT($have_liburiparser)
+	]
+)])
+
+# libcurl
+AS_IF([test "$enable_url_normalization" = "yes" && test "$have_liburiparser" = "no" || test "$enable_url_normalization" = "curl"],
+[AC_MSG_CHECKING(for libcurl)
+	cf_save_LIBS="$LIBS"
+	cf_save_CPPFLAGS="$CPPFLAGS"
+    CF_TRY_PKG_CONFIG(
+        [libcurl],
+        [AC_TRY_COMPILE([
+#include <curl/curl.h>
+       ],[
+#if !CURL_AT_LEAST_VERSION(7, 78, 0)
+#error "Please use libcurl >= 7.78.0"
+#endif
+       ],[
+       have_libcurl="yes"
+       if test x"$verbose" != "xyes" ; then
+        AC_MSG_RESULT($have_libcurl)
+       fi
+       AC_DEFINE(HAVE_LIBCURL)
+       ],[
+	have_libcurl="no"
+	LIBS=$cf_save_LIBS
+	CPPFLAGS=$cf_save_CPPFLAGS
+	AC_MSG_RESULT([\tlibcurl too old (< 7.78.0])
+	])],[
+	have_libcurl="no"
+	AC_MSG_RESULT($have_libcurl)
+	])]
+)])
 
 CF_FUNC_CURSES_VERSION
 
@@ -1022,6 +1080,7 @@ CF_CHECK_HEADERS(\
 	malloc.h \
 	netdb.h \
 	netinet/in.h \
+	netinet/tcp.h \
 	netlib.h \
 	nl_types.h \
 	nomacros.h \
@@ -1174,6 +1233,14 @@ if test $ac_cv_nl_item = yes; then
 	AC_DEFINE(HAVE_NL_ITEM,1,[Define this to 1 if we have header nl_types.h])
 fi
 
+AC_CHECK_TYPES([sig_atomic_t], [], [],
+[
+#include <sys/types.h>
+#include <signal.h>
+])
+
+AC_C_VOLATILE
+
 ###	Checks for libraries.
 # libuu/uudeview
 # only define HAVE_LIBUU and HAVE_UUDEVIEW_H if both are found
@@ -1250,7 +1317,7 @@ AC_CHECK_HEADERS(unicode/unorm.h unicode
 #AC_CHECK_LIB(icuuc, ubidi_open,
 #	[AC_DEFINE(HAVE_UBIDI_OPEN, 1, [Define to 1 if you have ubidi_open])]
 #)
-# ok, we go with
+# ok, we go with (but that mistakenly applies on i.e. sortix-1.1.0-dev)
 if test x"$ac_cv_header_unicode_ucnv_h" = "xyes" ; then
 	AC_DEFINE(HAVE_UCNV_OPEN, 1)
 fi
@@ -1316,7 +1383,11 @@ CF_TRY_PKG_CONFIG(
 	[libidn2],
 	[AC_DEFINE(HAVE_LIBIDN2)
 	AC_DEFINE(HAVE_IDN2_H)
-	have_libidn2=yes],
+	have_libidn2=yes
+if test x"$verbose" != "xyes" ; then
+AC_MSG_RESULT($have_libidn2)
+fi
+],
 	[AC_TRY_COMPILE([
 #include <idn2.h>
 	],[
@@ -1325,10 +1396,14 @@ CF_TRY_PKG_CONFIG(
 #endif /* IDN2_VERSION_MAJOR < 2 || (IDN2_VERSION_MAJOR == 2 && IDN2_VERSION_MINOR < 3) */
 	],
 	[have_libidn2=yes
-	AC_DEFINE(HAVE_IDN2_H)],
+	AC_DEFINE(HAVE_IDN2_H)
+AC_MSG_RESULT($have_libidn2)
+],
 	[have_libidn2=no
 	AC_MSG_RESULT($have_libidn2)]
-	)]
+	)],
+    [have_libidn2=no
+    AC_MSG_RESULT($have_libidn2)]
 )
 
 # libidnkit - Internationalized Domain Names / IDN 2008
@@ -1431,7 +1506,6 @@ CF_STRERROR
 AC_CHECK_FUNCS(\
 	alarm \
 	arc4random_uniform \
-	atoi \
 	atol \
 	atoll \
 	atoq \
@@ -1455,6 +1529,7 @@ AC_CHECK_FUNCS(\
 	isascii \
 	lockf \
 	lrand48 \
+	lstat \
 	memcmp \
 	memcpy \
 	memmove \
@@ -1462,13 +1537,16 @@ AC_CHECK_FUNCS(\
 	mkdir \
 	mkfifo \
 	mktemp \
+	mktime \
 	mkstemp \
 	nl_langinfo \
 	poll \
+	posix_close \
 	putenv \
 	random \
-	rewinddir \
+	realpath \
 	resizeterm \
+	rewinddir \
 	select \
 	setenv \
 	setlocale \
@@ -1481,6 +1559,7 @@ AC_CHECK_FUNCS(\
 	strcasestr \
 	strdup \
 	strftime \
+	strptime \
 	strpbrk \
 	strrchr \
 	strrstr \
@@ -1574,8 +1653,10 @@ AC_CHECK_FUNCS(\
 	gethostbyname \
 	getpeername \
 	getservbyname \
+	getsockopt \
 	inet_addr \
 	inet_ntoa \
+	setsockopt \
 	strncasecmp \
 )
 
@@ -1675,7 +1756,6 @@ CHECK_DECL_HDRS="$TIN_DECL_HDRS"
 CF_CHECK_DECL(\
 	_flsbuf \
 	alarm \
-	atoi \
 	atol \
 	atoll \
 	atoq \
@@ -1722,6 +1802,7 @@ CF_CHECK_DECL(\
 	sscanf \
 	strcasecmp \
 	strftime \
+	strptime \
 	strncasecmp \
 	strtol \
 	strtoll \
@@ -1998,6 +2079,7 @@ int main(void) {
 
 	if ((cd = iconv_open("US-ASCII//TRANSLIT", "ISO-8859-1")) == (iconv_t) (-1))
 		exit(1);
+	iconv_close(cd);
 	exit(0);
 }],
 	[
